From d70fc5d6c2f81248b37aa7c96e06c3b1f103c889 Mon Sep 17 00:00:00 2001
From: Pavel Shlyak <p.shlyak@pantherx.org>
Date: Sat, 30 Jul 2022 13:57:30 +0300
Subject: [PATCH] gnu: featherpad: new package.

    * gnu/packages/text-editors.scm (featherpad): new package.
---
 gnu/packages/text-editors.scm | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
index 0c8531cc4d..6715dda95f 100644
--- a/gnu/packages/text-editors.scm
+++ b/gnu/packages/text-editors.scm
@@ -19,6 +19,9 @@
 ;;; Copyright © 2021 Calum Irwin <calumirwin1@gmail.com>
 ;;; Copyright © 2022 Luis Henrique Gomes Higino <luishenriquegh2701@gmail.com>
 ;;; Copyright © 2022 Foo Chuan Wei <chuanwei.foo@hotmail.com>
+;;; Copyright © 2018 Fakhri Sajadi <f.sajadi@pantherx.org>
+;;; Copyright © 2021 Reza Alizadeh Majd <r.majd@pantherx.org>
+;;; Copyright © 2022 Pavel Shlyak <p.shlyak@pantherx.org>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -849,6 +852,27 @@ (define-public editorconfig-core-c
 editors.")
     (license license:bsd-2)))
 
+(define-public featherpad
+  (package
+    (name "featherpad")
+    (version "1.3.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/tsujan/FeatherPad")
+                    (commit (string-append "V" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1knxf05lfvpfkj4lxi71kidg2f7nfkgsidb45m86h9mnbqmxzjcg"))))
+    (build-system cmake-build-system)
+    (arguments `(#:tests? #f))
+    (native-inputs (list pkg-config hunspell qtsvg qtx11extras qtbase-5))
+    (home-page "https://github.com/tsujan/FeatherPad")
+    (synopsis "Lightweight Qt5 plain-text editor for Linux")
+    (description "FeatherPad is a lightweight Qt5 plain-text editor for Linux")
+    (license license:gpl3)))
+
 (define-public texmacs
   (package
     (name "texmacs")
-- 
2.32.1 (Apple Git-133)

